{-# LANGUAGE DeriveAnyClass #-}
module Horizon.Spec.Types.CabalFlag (CabalFlag(MkCabalFlag)) where

import           Data.Kind               (Type)
import           Data.Text               (Text)
import           Dhall                   (FromDhall, Generic, ToDhall)
import           Horizon.Spec.Types.Flag (Flag)

type CabalFlag :: Type
data CabalFlag where
  MkCabalFlag :: Flag Text -> CabalFlag
  deriving stock (Show, Eq, Generic)
  deriving anyclass (FromDhall, ToDhall)
