{-# LANGUAGE DeriveAnyClass #-}
module Horizon.Spec.Types.Flag (Flag(Enable,Disable)) where

import           Data.Kind (Type)
import           Dhall     (FromDhall, Generic, ToDhall)

type Flag :: Type -> Type
data Flag a where
  Enable :: a -> Flag a
  Disable :: a -> Flag a
  deriving stock (Show, Eq, Generic)
  deriving anyclass (FromDhall, ToDhall)
