module Horizon.Spec.Types.Overlay (Overlay(MkOverlay), fromOverlay) where

import           Data.Kind                     (Type)
import           Dhall                         (FromDhall, Generic, ToDhall)
import           Horizon.Spec.Types.PackageSet (PackageSet)

type Overlay :: Type
newtype Overlay where
  MkOverlay :: { fromOverlay :: PackageSet } -> Overlay
  deriving stock (Show, Eq, Generic)
  deriving newtype (FromDhall, ToDhall)
