module Horizon.Spec.Types.TarballSource (TarballSource(MkTarballSource), fromTarballSource) where

import           Data.Kind              (Type)
import           Dhall                  (FromDhall, Generic, ToDhall)
import           Horizon.Spec.Types.Url (Url)


type TarballSource :: Type
newtype TarballSource where
  MkTarballSource :: { fromTarballSource :: Url } -> TarballSource
  deriving stock (Eq, Show, Generic)
  deriving newtype (FromDhall, ToDhall)
